# Class Power#getDPMWakeup

Power

- Defined in: power.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Power#getDPMWakeup(successCallback, errorCallback) Gets DPMWakeup Info, Each DPMSignalType has a set of predefined DPMSignalType properties.

## Class Detail

Power#getDPMWakeup(successCallback, errorCallback)
Gets DPMWakeup Info, Each DPMSignalType has a set of predefined DPMSignalType properties.

    // Javascript code
    function getDPMWakeup () {
     function successCb(cbObject) {
        console.log("cbObject : " + JSON.stringify(cbObject));
        // Do something
     }

     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }

     var power = new Power();
     power.getDPMWakeup(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  dpmSignalType | String | DPMSignalType

See:
  Power.setDPMWakeup()